package com.ruoyi.branch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部党课学习对象 t_branch_study
 *
 * @author ruoyi
 * @date 2023-06-09
 */
public class TBranchStudy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long studyId;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date studyTime;

    /** 地点 */
    @Excel(name = "地点")
    private String studyVenue;

    /** 授课人 */
    @Excel(name = "授课人")
    private String lecturer;

    /** 记录人 */
    @Excel(name = "记录人")
    private String recorder;

    /** 参加人员 */
    @Excel(name = "参加人员")
    private String participants;

    /** 缺席人员 */
    @Excel(name = "缺席人员")
    private String absentees;

    /** 内容 */
    @Excel(name = "内容")
    private String contents;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门ID */
    @Excel(name = "部门编号", type = Excel.Type.IMPORT)
    private Long deptId;

    /**
     * 附件id
     */
    private String filesId;

    public String getFilesId() {
        return filesId;
    }

    public void setFilesId(String filesId) {
        this.filesId = filesId;
    }

    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }
    public void setStudyTime(Date studyTime)
    {
        this.studyTime = studyTime;
    }

    public Date getStudyTime()
    {
        return studyTime;
    }
    public void setStudyVenue(String studyVenue)
    {
        this.studyVenue = studyVenue;
    }

    public String getStudyVenue()
    {
        return studyVenue;
    }
    public void setLecturer(String lecturer)
    {
        this.lecturer = lecturer;
    }

    public String getLecturer()
    {
        return lecturer;
    }
    public void setRecorder(String recorder)
    {
        this.recorder = recorder;
    }

    public String getRecorder()
    {
        return recorder;
    }
    public void setParticipants(String participants)
    {
        this.participants = participants;
    }

    public String getParticipants()
    {
        return participants;
    }
    public void setAbsentees(String absentees)
    {
        this.absentees = absentees;
    }

    public String getAbsentees()
    {
        return absentees;
    }
    public void setContents(String contents)
    {
        this.contents = contents;
    }

    public String getContents()
    {
        return contents;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("studyId", getStudyId())
            .append("studyTime", getStudyTime())
            .append("studyVenue", getStudyVenue())
            .append("lecturer", getLecturer())
            .append("recorder", getRecorder())
            .append("participants", getParticipants())
            .append("absentees", getAbsentees())
            .append("contents", getContents())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
